
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "bitmex_client/version"

Gem::Specification.new do |spec|
  spec.name          = "bitmex_client"
  spec.version       = BitmexClient::VERSION
  spec.authors       = ["markgeek"]
  spec.email         = ["mark.geek.lee@gmail.com"]

  spec.summary       = %q{Bitmex API wrapper.}
  spec.description   = %q{Bitmex API wrapper.}
  spec.homepage      = "https://github.com/markgeek/bitmex_client"
  spec.license       = "MIT"
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'faraday', '~> 0.15.4'
  spec.add_dependency 'faraday_middleware', '~> 0.12.2'
  spec.add_development_dependency "bundler", "~> 1.17.1"
  spec.add_development_dependency "rake", "~> 12.3.1"
end
